Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.jdbc.oci.xa
Class Connection

    java.lang.Object
      |
      +--weblogic.jdbc.oci.xa.Connection

public final class Connection
extends java.lang.Object
implements java.sql.Connection

This Connection object is a logical connection for the actual database connection.

Author:
  Copyright (c) 1998-2000 by BEA WebXpress, Inc. All Rights Reserved.

Method Summary
`void` | `clearWarnings()`
`void` | `close()`
`void` | `commit()`
`java.sql.Statement` | `createStatement()`
`java.sql.Statement` | `createStatement(int resultSetType, int resultSetConcurrency)`
`java.sql.Statement` | `createStatement(int a, int b, int c)`
`boolean` | `getAutoCommit()`
`java.lang.String` | `getCatalog()`
`int` | `getHoldability()`
`java.sql.DatabaseMetaData` | `getMetaData()`
`int` | `getTransactionIsolation()`
`java.util.Map` | `getTypeMap()`
`java.sql.SQLWarning` | `getWarnings()`
`boolean` | `isClosed()`
`boolean` | `isReadOnly()`
`java.lang.String` | `nativeSQL(java.lang.String sql)`
`java.sql.CallableStatement` | `prepareCall(java.lang.String sql)`
`java.sql.CallableStatement` | `prepareCall(java.lang.String sql, int resultSetType, int resultSetConcurrency)`
`java.sql.CallableStatement` | `prepareCall(java.lang.String a, int b, int c, int d)`
`java.sql.PreparedStatement` | `prepareStatement(java.lang.String sql)`
`java.sql.PreparedStatement` | `prepareStatement(java.lang.String a, int b)`
`java.sql.PreparedStatement` | `prepareStatement(java.lang.String a, int[] b)`
`java.sql.PreparedStatement` | `prepareStatement(java.lang.String sql, int resultSetType, int resultSetConcurrency)`
`java.sql.PreparedStatement` | `prepareStatement(java.lang.String a, int b, int c, int d)`
`java.sql.PreparedStatement` | `prepareStatement(java.lang.String a, java.lang.String[] b)`
`void` | `releaseSavepoint(java.sql.Savepoint a)`
`void` | `rollback()`
`void` | `rollback(java.sql.Savepoint a)`
`void` | `setAutoCommit(boolean autoCommit)`
`void` | `setCatalog(java.lang.String catalog)`
`void` | `setHoldability(int a)`
`void` | `setReadOnly(boolean readOnly)`
`java.sql.Savepoint` | `setSavepoint()`
`java.sql.Savepoint` | `setSavepoint(java.lang.String d)`
`void` | `setTransactionIsolation(int level)`
`void` | `setTypeMap(java.util.Map map)`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### createStatement

    public java.sql.Statement createStatement()
                                       throws java.sql.SQLException

  Specified by:
    createStatement in interface java.sql.Connection

### prepareStatement

    public java.sql.PreparedStatement prepareStatement(java.lang.String sql)
                                                throws java.sql.SQLException

  Specified by:
    prepareStatement in interface java.sql.Connection

### prepareCall

    public java.sql.CallableStatement prepareCall(java.lang.String sql)
                                           throws java.sql.SQLException

  Specified by:
    prepareCall in interface java.sql.Connection

### nativeSQL

    public java.lang.String nativeSQL(java.lang.String sql)
                               throws java.sql.SQLException

  Specified by:
    nativeSQL in interface java.sql.Connection

### setAutoCommit

    public void setAutoCommit(boolean autoCommit)
                       throws java.sql.SQLException

  Specified by:
    setAutoCommit in interface java.sql.Connection

### getAutoCommit

    public boolean getAutoCommit()
                          throws java.sql.SQLException

  Specified by:
    getAutoCommit in interface java.sql.Connection

### commit

    public void commit()
                throws java.sql.SQLException

  Specified by:
    commit in interface java.sql.Connection

### rollback

    public void rollback()
                  throws java.sql.SQLException

  Specified by:
    rollback in interface java.sql.Connection

### close

    public void close()
               throws java.sql.SQLException

  Specified by:
    close in interface java.sql.Connection

### isClosed

    public boolean isClosed()
                     throws java.sql.SQLException

  Specified by:
    isClosed in interface java.sql.Connection

### getMetaData

    public java.sql.DatabaseMetaData getMetaData()
                                          throws java.sql.SQLException

  Specified by:
    getMetaData in interface java.sql.Connection

### setReadOnly

    public void setReadOnly(boolean readOnly)
                     throws java.sql.SQLException

  Specified by:
    setReadOnly in interface java.sql.Connection

### isReadOnly

    public boolean isReadOnly()
                       throws java.sql.SQLException

  Specified by:
    isReadOnly in interface java.sql.Connection

### setCatalog

    public void setCatalog(java.lang.String catalog)
                    throws java.sql.SQLException

  Specified by:
    setCatalog in interface java.sql.Connection

### getCatalog

    public java.lang.String getCatalog()
                                throws java.sql.SQLException

  Specified by:
    getCatalog in interface java.sql.Connection

### setTransactionIsolation

    public void setTransactionIsolation(int level)
                                 throws java.sql.SQLException

  Specified by:
    setTransactionIsolation in interface java.sql.Connection

### getTransactionIsolation

    public int getTransactionIsolation()
                                throws java.sql.SQLException

  Specified by:
    getTransactionIsolation in interface java.sql.Connection

### getWarnings

    public java.sql.SQLWarning getWarnings()
                                    throws java.sql.SQLException

  Specified by:
    getWarnings in interface java.sql.Connection

### clearWarnings

    public void clearWarnings()
                       throws java.sql.SQLException

  Specified by:
    clearWarnings in interface java.sql.Connection

### createStatement

    public java.sql.Statement createStatement(int resultSetType,
                                              int resultSetConcurrency)
                                       throws java.sql.SQLException

  Specified by:
    createStatement in interface java.sql.Connection

### prepareStatement

    public java.sql.PreparedStatement prepareStatement(java.lang.String sql,
                                                       int resultSetType,
                                                       int resultSetConcurrency)
                                                throws java.sql.SQLException

  Specified by:
    prepareStatement in interface java.sql.Connection

### prepareCall

    public java.sql.CallableStatement prepareCall(java.lang.String sql,
                                                  int resultSetType,
                                                  int resultSetConcurrency)
                                           throws java.sql.SQLException

  Specified by:
    prepareCall in interface java.sql.Connection

### getTypeMap

    public java.util.Map getTypeMap()
                             throws java.sql.SQLException

  Specified by:
    getTypeMap in interface java.sql.Connection

### setTypeMap

    public void setTypeMap(java.util.Map map)
                    throws java.sql.SQLException

  Specified by:
    setTypeMap in interface java.sql.Connection

### releaseSavepoint

    public void releaseSavepoint(java.sql.Savepoint a)
                          throws java.sql.SQLException

### rollback

    public void rollback(java.sql.Savepoint a)
                  throws java.sql.SQLException

### getHoldability

    public int getHoldability()
                       throws java.sql.SQLException

### prepareCall

    public java.sql.CallableStatement prepareCall(java.lang.String a,
                                                  int b,
                                                  int c,
                                                  int d)
                                           throws java.sql.SQLException

### setHoldability

    public void setHoldability(int a)
                        throws java.sql.SQLException

### prepareStatement

    public java.sql.PreparedStatement prepareStatement(java.lang.String a,
                                                       int b,
                                                       int c,
                                                       int d)
                                                throws java.sql.SQLException

### prepareStatement

    public java.sql.PreparedStatement prepareStatement(java.lang.String a,
                                                       int b)
                                                throws java.sql.SQLException

### prepareStatement

    public java.sql.PreparedStatement prepareStatement(java.lang.String a,
                                                       int[] b)
                                                throws java.sql.SQLException

### prepareStatement

    public java.sql.PreparedStatement prepareStatement(java.lang.String a,
                                                       java.lang.String[] b)
                                                throws java.sql.SQLException

### createStatement

    public java.sql.Statement createStatement(int a,
                                              int b,
                                              int c)
                                       throws java.sql.SQLException

### setSavepoint

    public java.sql.Savepoint setSavepoint()
                                    throws java.sql.SQLException

### setSavepoint

    public java.sql.Savepoint setSavepoint(java.lang.String d)
                                    throws java.sql.SQLException

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference